diff -ru ewiki-R1.01e/config.php /web/beast/ewiki-current/config.php
--- ewiki-R1.01e/config.php	Wed May  5 15:55:15 2004
+++ /web/beast/ewiki-current/config.php	Fri Jun  4 03:43:10 2004
@@ -14,14 +14,16 @@
 
 #-- OPEN DATABASE for ewiki
 #
-if (function_exists("mysql_connect")) {
-   $ok = @mysql_connect("localhost", "root", "$password")
-      && mysql_query("USE test");
-}
+#if (function_exists("mysql_connect")) {
+#   $ok = @mysql_connect("localhost", "root", "$password")
+#      && mysql_query("USE test");
+#}
 
 #-- or use the flat file database backend as fallback
 if (!$ok) {
    // define("EWIKI_DBFILES_DIRECTORY", "/tmp");
+   define("EWIKI_DBFILES_DIRECTORY", "/web/beast/wiki-data/");
+   define("EWIKI_PAGE_INDEX", "BeastBse");
    include("plugins/db/flat_files.php");
 }
 
@@ -34,6 +36,10 @@
  define("EWIKI_LIST_LIMIT", 25);
 // define("EWIKI_SCRIPT", "?id=");
 // define("EWIKI_SCRIPT_URL", "http://www.example.com/wiki/?id=");
+ define("EWIKI_SCRIPT", "http://beast.gtk.org/wiki:");
+ define("EWIKI_USE_ACTION_PARAM", 2);
+ define("EWIKI_SCRIPT_BINARY", "wiki-binary.php?binary=");  # get binary to work through an empty page
+ $_SERVER["HTTP_ACCEPT_LANGUAGE"] = "en";              # enforce no loalization
  define("EWIKI_HTML_CHARS", 1);
 // ...
  define("EWIKI_PRINT_TITLE", 1);
@@ -57,20 +63,20 @@
  include("plugins/init.php");     # you can disable this later
  include("plugins/page/README.php");
 # include("plugins/pluginloader.php");
- include("plugins/email_protect.php");
+# include("plugins/email_protect.php");
  include("plugins/page/powersearch.php");
  include("plugins/page/pageindex.php");
-# include("plugins/page/wordindex.php");
+ include("plugins/page/wordindex.php");
 # include("plugins/page/aboutplugins.php");
 # include("plugins/page/imagegallery.php");
-# include("plugins/page/orphanedpages.php");
+ include("plugins/page/orphanedpages.php");
 # include("plugins/spages.php");
 # ewiki_spages_init("tools/");
-# include("plugins/filter/search_highlight.php");
+ include("plugins/filter/search_highlight.php");
 # include("plugins/appearance/fancy_list_dict.php");
 # include("plugins/patchsaving.php");
-# include("plugins/action/diff.php");
-# include("plugins/action/like_pages.php");
+ include("plugins/action/diff.php");
+ include("plugins/action/like_pages.php");
 # include("plugins/jump.php");
  include("plugins/notify.php");
  include("plugins/feature/imgresize_gd.php");
@@ -111,4 +117,4 @@
 
 
 
-?>
\ No newline at end of file
+?>
diff -ru ewiki-R1.01e/ewiki.php /web/beast/ewiki-current/ewiki.php
--- ewiki-R1.01e/ewiki.php	Thu May 20 15:30:09 2004
+++ /web/beast/ewiki-current/ewiki.php	Fri Jun  4 02:25:46 2004
@@ -258,7 +258,7 @@
  #<broken+bug>#	"//" => array("<i>", "</i>"),   # conflicts with URLs, could only be done with regex
 		"**" => array("<b>", "</b>"),
 		"##" => array("<big>", "</big>"),
-		"" => array("<small>", "</small>"),
+		",," => array("<small>", "</small>"),
            ),
            "wm_start_end" => array(
 	#<off># array("[-", "-]", "<s>", "</s>"),
@@ -830,7 +830,7 @@
       }
    }
    #-- action= parameter
-   if (EWIKI_USE_ACTION_PARAM >= 2) {
+   if (EWIKI_USE_ACTION_PARAM >= 2 && strlen($asid)) {
       $params = "action=$asid" . (strlen($params)?"&":"") . $params;
       $asid = "";
    }
@@ -1417,7 +1417,8 @@
                $o = ewiki_t("THANKSFORCONTRIBUTION") . "<br><br>";
 
                if (EWIKI_EDIT_REDIRECT) {
-                  $url = ewiki_script("", $id, "thankyou=1", 0, 0, ewiki_script_url());
+#                  $url = ewiki_script("", $id, "thankyou=1", 0, 0, ewiki_script_url());
+                  $url = ewiki_script("", $id, 0, 0, 0, ewiki_script_url());
                   $o .= ewiki_t("EDITCOMPLETE", array("url"=>htmlentities($url)));
 
                   if (EWIKI_HTTP_HEADERS && !headers_sent()) {
@@ -1639,7 +1640,7 @@
          ( strpos($action, "://")
             ? $action   # an injected "action" URL
             : ewiki_script($action, $id, $version?array("version"=>$version):NULL)
-         ) . '">' . ewiki_t($title) . '</a> ';
+         ) . '">' . ewiki_t($title) . '</a> &nbsp; ';
    }
 
    return($o);
@@ -3625,4 +3626,4 @@
 
 
 
-</script>
\ No newline at end of file
+</script>
